ResetMasterUserPasswordDetails¶
- class oci.psql.models.ResetMasterUserPasswordDetails(**kwargs)¶
Bases:
objectPassword detail that will be used to reset the database system’s master user. These details are not visible on any subsequent operation, such as GET /dbSystems/{dbSystemId}.
Methods:
__init__(**kwargs)Initializes a new ResetMasterUserPasswordDetails object with values from keyword arguments.
Attributes:
[Required] Gets the password_details of this ResetMasterUserPasswordDetails.
- __init__(**kwargs)¶
Initializes a new ResetMasterUserPasswordDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
password_details (oci.psql.models.PasswordDetails) – The value to assign to the password_details property of this ResetMasterUserPasswordDetails.
- property password_details¶
[Required] Gets the password_details of this ResetMasterUserPasswordDetails.
- Returns
The password_details of this ResetMasterUserPasswordDetails.
- Return type